- Qt 5.15
- Qt 3D
- C++ Classes
- QClipPlane
- Qt 5.15.11 Reference Documentation

# QClipPlane Class

class Qt3DRender::QClipPlane

Enables an additional OpenGL clipping plane that can be in shaders using gl_ClipDistance. More...

Header: | #include <QClipPlane>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | ClipPlane
Inherits: | Qt3DRender::QRenderState

This class was introduced in Qt 5.5.

- List of all members, including inherited members

## Properties

- distance : float
- normal : QVector3D
- planeIndex : int

## Public Functions

float | distance() const
QVector3D | normal() const
int | planeIndex() const

## Public Slots

void | setDistance(float)
void | setNormal(QVector3D)
void | setPlaneIndex(int)

## Signals

void | distanceChanged(float distance)
void | normalChanged(QVector3D normal)
void | planeIndexChanged(int planeIndex)

## Detailed Description

By default, OpenGL supports up to 8 additional clipping planes. Qt3DCore::QClipPlane allows to enable one of these additional planes. These planes can then be manipulated in the shaders using gl_ClipDistance[i] where i varies between 0 and 7. The underlying implementation may support more than 8 clip planes, but it is not guaranteed.

## Property Documentation

### distance : float

Holds the distance of the plane from the world origin.

Access functions:

float | distance() const
void | setDistance(float)

Notifier signal:

void | distanceChanged(float distance)

### normal : QVector3D

Holds the normal of the plane.

Access functions:

QVector3D | normal() const
void | setNormal(QVector3D)

Notifier signal:

void | normalChanged(QVector3D normal)

### planeIndex : int

Holds the index of the plane.

Note: Usually between 0-7.

Access functions:

int | planeIndex() const
void | setPlaneIndex(int)

Notifier signal:

void | planeIndexChanged(int planeIndex)